
Figure - Bug #118238
【IOVDEV-30591】【内部】【VC1】【0100】【台架】【EE环境】【副屏】副屏静态放置突然黑屏不可点亮-
与118419为同件
2023-05-25 18:57 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-25

Priority: Normal Due date:

Assignee: CDTS_TEST 王成 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0100.c103  中控：03.02.0082.C102

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause: 同件BUG

Description

【环境信息】EE环境

【问题出现时间】：20230525  16点35分（ 第188次开机）

【前提条件】：车机上电（KL30ON ，KL15 ON，已连接中控和功放，可正常输出声音）

1.副屏16点15左右播放腾讯视频和中控爱奇艺视频混音，截取log后，进入QQ音乐界面

2.副屏长时间未进行任何操作（超过10分钟）

【实际结果】

副屏屏幕突然黑屏，点击屏幕不能亮屏

【期望结果】

副屏正常显示，无异常黑屏现象。

【备注】：

发生一次，杜（磊）工和高(平平)工有来现场确认。

点击有触点显示，只是屏幕不亮屏。可以通过投屏工具对副屏进行操作。

车架号VIN：HRYTTESTVINMGM400

中控端log可从云端获取，

副屏log地址：https://ofs.human-horizons.com/#/download/index/xVCe%2F3sB2cU%3D

【影响版本】：副屏：01.00.0100.c103  中控：03.02.0082.C102

【硬件版本号】：/

【是否能恢复】：

History

#1 - 2023-05-26 17:22 - CD SYSTEM-胡兵

- Assignee changed from CD SYSTEM-夏旭 to CD BSP-余霄
【备注】：

发生一次，杜（磊）工和高(平平)工有来现场确认。

点击有触点显示，只是屏幕不亮屏。可以通过投屏工具对副屏进行操作。

请Display同学进一步分析

#2 - 2023-05-26 22:28 - CD TPM-王祥林

当前分析：

此问题疑似屏幕出现了异常。在问题复现期间，控制器没有控制屏幕display off，但整个开机过程中并没有发现屏端DTC错误。

1.从日志中看到第188次开机时间在15:48左右。log抓取时间在17:07左右。整个过程中开机次没有增加，说明系统不存在断电导致的黑屏。

//开机完成

05-25 15:48:02.472  1505  1615 I uc_send_user_broadcast: [0,android.intent.action.BOOT_COMPLETED]

//打开日志抓取工具，抓log

05-25 17:07:06.957  9844 10216 I ActivityTaskManager: START u0 {cmp=com.tc.logclient/.LogClientActivity} from uid 10061

2.从问题描述的时间点来看从开机到抓取日志的过程中，控制器没有做过灭屏的操作。整个过程中，控制端认为屏幕的状态应该是亮屏状态。

直到17:02:44，人为在电脑投屏上点击了息屏按钮，控制器才对屏幕进行灭屏操作。随后点击屏幕进行亮屏操作。

//灭屏操作

05-25 17:02:44.140  9844 10350 I intercept_power: [ACTION_DOWN,0,0]

05-25 17:02:44.193  9844 10350 I intercept_power: [ACTION_UP,0,0]

05-25 17:02:44.194  9844  9844 I PowerManagerService: Powering off display group due to power_button (groupId= 0, uid= 1000)...

05-25 17:02:44.194  9844  9844 I PowerManagerService: Going to sleep due to power_button (uid 1000)...

05-25 17:02:44.364  9844  9886 V DisplayPowerController0: Brightness [0.0] reason changing to: 'screen_off', previous reason: 'manual'.

05-25 17:02:44.410     0     0 I [ 4466.266087] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

//亮屏操作

05-25 17:02:46.049  9844  9972 I PowerManagerService: Powering on display group fromAsleep (groupId=0, uid=1000, reason=WAKE_REASON_POWER_BUTTON,

details=android.policy:POWER)...

05-25 17:02:46.049  9844  9972 I PowerManagerService: Waking up from Asleep (uid=1000, reason=WAKE_REASON_POWER_BUTTON,

details=android.policy:POWER)...

05-25 17:02:46.071  9844  9886 V DisplayPowerController0: Brightness [0.1919192] reason changing to: 'manual', previous reason: 'screen_off'.

05-25 17:02:46.134     0     0 I [ 4467.992148] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

//打开日志抓取工具，抓log

05-25 17:07:06.957  9844 10216 I ActivityTaskManager: START u0 {cmp=com.tc.logclient/.LogClientActivity} from uid 10061

下一步计划：

1.添加屏端和控制器的回读，心跳检测retry机制。明天开始联调。

#3 - 2023-05-27 19:48 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

202840 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

xiao.yu@thundersoft.com

BSP:Display: Add display backlight and video status check1.Add power on/off backlight readback2.Add video DTC3.Integration the backlight on and backlight
#fn0
#fn0


changed function4.Record the brightless level when backlight changedTC-RID: 1201-0100501IssueID: TS-R-DF-118238Change-Id:

I23cad73d6f2579fe0792879273af454225fd739a

#4 - 2023-05-29 10:36 - CD BSP-余霄

- Status changed from New to RESOLVED

- Assignee changed from CD BSP-余霄 to CDTS_TEST 王成

- % Done changed from 0 to 100

- Root cause set to 添加retry机制

代码在105已合入

修改：

1.回读量灭屏背光状态，亮屏且背光为0或灭屏背光不为0时重新下发开屏指令

2.新增视频信号DTC，检测屏幕显示状态，异常做RESET动作

3.DTC中添加背光变化时日志打印

#5 - 2023-06-01 11:47 - CDTS-TEST 周婷

- Status changed from RESOLVED to NEED_INFO

- Assignee changed from CDTS_TEST 王成 to CD BSP-余霄

这个问题只是追加强化日志，没有实际解决，需跟踪并且和屏端联调

#6 - 2023-06-02 18:48 - CD BSP-余霄

- Status changed from NEED_INFO to RESOLVED

- Assignee changed from CD BSP-余霄 to CDTS_TEST 王成

- Root cause changed from 添加retry机制 to 同件BUG

该BUG与118419为同件BUG。

此票关闭，保留118419跟踪进展。

#7 - 2023-06-25 17:30 - CDTS_TEST 王成

- Subject changed from 【IOVDEV-30591】【内部】【VC1】【0100】【台架】【EE环境】【副屏】副屏静态放置突然黑屏不可点亮 to 【IOVDEV-30591】

【内部】【VC1】【0100】【台架】【EE环境】【副屏】副屏静态放置突然黑屏不可点亮-与118419为同件

- Status changed from RESOLVED to VERIFIED

#8 - 2023-06-25 17:30 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

客户在110版本验证通过

Files

16点35分左右副屏黑屏不可点亮.mp4 2.63 MB 2023-05-25 CDTS_TEST 王成
